Bug 2108 - Allow searching in PDF documents
: Allow searching in PDF documents
Status: RESOLVED FIXED
Product: Utilities
PDF reader
: 5.0/(3.2010.02-8)
: All All
: Low enhancement with 14 votes (vote)
: Harmattan
Assigned To: Quim Gil
: pdf-reader-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-12 21:54 UTC by dmg
Modified: 2011-06-23 16:57 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description dmg (reporter) 2007-10-12 21:54:15 UTC
EXPECTED OUTCOME:

ACTUAL OUTCOME:

Add a "Find" option in the menu. None is currently supported.

STEPS TO REPRODUCE THE PROBLEM:

OTHER COMMENTS:
Comment 1 Alessandro Staltari 2008-03-18 18:52:54 UTC
I can't believe search function is really missing, however I can't find it.
Why the bug is still marked as unconfimed?
Comment 2 Vic 2008-10-19 07:21:24 UTC
This is very irritating that such a basic feature is missing. l had to install
evince just for the find function, but it's not as fast nor as stable.
Can someone with the right permissions please change the status to confirmed?
Thanks.
Comment 3 Andre Klapper maemo.org 2008-11-17 01:18:47 UTC
Note that the 3rd party port of Evince provides this functionality:
http://maemo.org/downloads/product/OS2008/evince/

Nokia *thinks* about adding Search functionality to the built-in PDF viewer for
Fremantle, but this is not yet decided.
Assigning to myself so I look it up again later.
Comment 4 Andre Klapper maemo.org 2009-03-26 12:44:06 UTC
Update: There's no mention of Search functionality in the Fremantle Spec for
the PDF reader so I assume that it's not planned to add this functionality for
Fremantle.
Comment 5 Quim Gil nokia 2009-04-27 08:05:52 UTC
Indeed, the current Fremantle build of PDF Reader doesn't have a search
function.

fyi this component is basically a Diablo port in Fremantle and it will be
completely rewritten for Harmattan.
Comment 6 Andre Klapper maemo.org 2010-10-25 23:11:49 UTC
Nokia does NOT plan to fix this for the Maemo5 PDF viewer as the Maemo 5 User
Interface is considered stable by Nokia.
This will be FIXED for the Harmattan PDF viewer ("Harmattan" is the codename of
the software version after Maemo 5).
Comment 7 gadgetChris 2011-06-23 16:49:54 UTC
I don't see this being resolved, until "harmathan" is released for the N900.
It can only be marked resolved if the search function is made availble.
Otherwise it should be unresolved...
Comment 8 Andre Klapper maemo.org 2011-06-23 16:57:43 UTC
It is RESOLVED WONTFIX for Maemo5 and RESOLVED FIXED for Harmattan.